Results 1 to 6 of 6

Thread: copy rotate object multiple times

  1. #1
    Member
    Join Date
    2002-06
    Posts
    3
    Login to Give a bone
    0

    Question copy rotate object multiple times

    I often have to copy rotate an object about a common centre but to several different angles. I wish there was a single command to do this,.. like the copy command but with rotation instead of displacement.
    (Polar array does not help because it uses the same angle between items, and "Copy move rotate" only makes one copy each time.

  2. #2
    Wish List Manager BrenBren's Avatar
    Join Date
    2000-11
    Location
    150700
    Posts
    3,434
    Login to Give a bone
    0

    Default Re: copy rotate object multiple times

    Quote Originally Posted by gary.betts
    I often have to copy rotate an object about a common centre but to several different angles. I wish there was a single command to do this,.. like the copy command but with rotation instead of displacement.
    (Polar array does not help because it uses the same angle between items, and "Copy move rotate" only makes one copy each time.
    Take a look at the express tools Move, Copy, Rotate (MOCORO)

  3. #3
    Member
    Join Date
    2000-11
    Posts
    39
    Login to Give a bone
    0

    Default Re: copy rotate object multiple times

    Quote Originally Posted by BrenBren View Post
    Take a look at the express tools Move, Copy, Rotate (MOCORO)
    I agree that MOCORO will do the job. But, I feel it is either too complicated, or there is not enough documentation to make it usable.
    Jerry Runnels
    <jerry.runnels@dzilonestar.com>
    Mechanical 2010

  4. #4
    Woo! Hoo! my 1st post
    Join Date
    2006-12
    Posts
    1
    Login to Give a bone
    0

    Default Re: copy rotate object multiple times

    We have a lisp routine for that

  5. #5
    Member
    Join Date
    2002-06
    Posts
    3
    Login to Give a bone
    0

    Default Re: copy rotate object multiple times

    I have a lisp routine now

    (defun c:ro_cox (/ mysset base_pt ref_ang new_ang loop_sw )
    (Princ "select objects to rotate")
    (setq mysset (ssget))
    (setq base_pt (getpoint "\nselect basepoint"))
    (setq ref_ang (/ (* (getangle base_pt "\nselect reference angle") 180) pi))
    (setq loop_sw 1)
    (while (= loop_sw 1)
    (setq new_ang (getangle base_pt "\nselect new angle"))
    (if (boundp 'new_ang)
    (command "rotate" mysset "" base_pt "C" "R" ref_ang (/ (* new_ang 180) pi))
    (setq loop_sw 0)
    )
    )
    princ))

  6. #6
    Login to Give a bone
    0

    Default Re: copy rotate object multiple times

    Hi Gary,

    If you are using AutoCAD Mechanical (as I assume you are given that you have posted the request in this forum), you may want to check out the new Move/Copy/Rotate feature in AutoCAD Mechanical 2010 (just released).

    Shashikanth

Similar Threads

  1. Replies: 13
    Last Post: 2014-01-20, 06:14 PM
  2. Multiple Option for Copy in Rotate Command
    By IanR in forum AutoCAD Wish List
    Replies: 2
    Last Post: 2012-05-18, 11:55 AM
  3. Move, Copy, Rotate - Show the object insted of the outline
    By rmejia in forum Revit Architecture - Wish List
    Replies: 0
    Last Post: 2007-07-07, 02:17 AM
  4. Select an Object, then Copy and Rotate it 90 degrees
    By Randolphbordner in forum AutoCAD Customization
    Replies: 12
    Last Post: 2007-06-24, 10:36 PM
  5. Replies: 0
    Last Post: 2005-03-26, 04:55 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •